# --------------------------------
# Kubernetes POD and Service cluster networks 
ipset create set-kub-cluster-net hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1
ipset flush tmp

ipset add tmp 172.16.0.0/16 comment "C02.QA POD IP CIDR"
ipset add tmp 172.17.0.0/16 comment "C02.QA SERVICE IP CIDR"
ipset add tmp 172.18.0.0/16 comment "C01.PROD POD IP CIDR"
ipset add tmp 172.19.0.0/16 comment "C01.PROD SERVICE IP CIDR"

ipset swap tmp set-kub-cluster-net
ipset destroy tmp

# --------------------------------
# Liste der Webserver die von ANY per HTTP / HTTPS erreicht werden duerfen
ipset create set-webserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset add tmp 62.50.115.16/32 comment "C02.QA PRIMARY INGRESS"
ipset add tmp 62.50.115.24/32 comment "C01.PROD PRIMARY INGRESS"

ipset swap tmp set-webserver
ipset destroy tmp

# ------------------------------
# IP-Adressen und Netze von Kunden und Dienstleistern
# ipset add tmp 62.50.124.50 comment "OpenVPN dienstleister@sowieso.de"

ipset create white-src hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1
ipset flush tmp

ipset add tmp 62.50.111.0/24 comment "monitor.lf.net"

# LF.net Support Netze, aus ehemaliger MGMTIN chain
ipset add tmp 212.9.190.0/24 comment "LF.net R27 Office"
ipset add tmp 212.9.160.128/25
ipset add tmp 212.9.160.64/27
ipset add tmp 62.50.111.16/28
ipset add tmp 212.9.160.15/32
ipset add tmp 213.178.172.0/26

# c01.erco.com Cluster
ipset add tmp 212.9.161.119/32 comment "c01.erco.com cluster"

# Klickmeister VPN
ipset add tmp 193.41.237.83/32 comment "Klickmeister VPN"
ipset add tmp 2.59.133.3/32 comment "Klickmeister Fallback VPN"

# ERCO SSH fuer Sync
ipset add tmp 91.229.169.9/32 comment "ERCO SSH Sync"

ipset swap tmp white-src
ipset destroy tmp


# ---------------------------
# Liste der Webserver, die nur ueber Reverse-Proxy erreichbar sind
ipset create revproxy-webserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset swap tmp revproxy-webserver
ipset destroy tmp


# ----------------------------
# Liste der Mailserver die von ANY per SMPT / POP / IMAP erreicht werden duerfen
ipset create set-mailserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset swap tmp set-mailserver
ipset destroy tmp


# ----------------------------
# Liste der DMZ-Netze die Zugang ins Internet bekommen
ipset create set-dmz hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset add tmp 10.100.0.0/24 comment "C02.QA CLUSTER VM NET"
ipset add tmp 10.100.1.0/24 comment "C01.PROD CLUSTER VM NET"

ipset swap tmp set-dmz
ipset destroy tmp
