#!/bin/bash

PATH=/sbin:/usr/sbin:$PATH
export PATH


# ipsets ---------------------------------------------

ipset destroy tmp > /dev/null 2>&1

ipset -exist create black hash:net timeout 300


# Ein temporaeres Set zum Befuellen:
#for i in asia russia; do

if true; then
for i in /etc/network/ripe-geo/continents/*.ipv4.list; do
  F=`basename $i .ipv4.list`

  echo $F

  ipset list cidr-$F > /dev/null && continue;

  ipset create cidr-$F hash:net > /dev/null 2>&1
  ipset create tmp hash:net maxelem 200000 > /dev/null 2>&1; ipset flush tmp
  grep -v '^#' $i | while read a; do
    echo "add tmp $a"
  done | ipset restore

  # Aktiven Block mit dem temporaeren tauschen u. dann temporaeren entfernen:
  ipset swap cidr-$F tmp
  ipset destroy tmp
done
fi


#exit 0

# Set-of-Sets --------------------------------

ipset create black-sets-src list:set > /dev/null 2>&1

ipset destroy tmp > /dev/null 2>&1
ipset create tmp list:set

# Zu sperrende CIDR Bloecke:
#ipset add tmp cidr-asia
#ipset add tmp cidr-africa
#ipset add tmp cidr-russia
#ipset add tmp cidr-south-america

ipset swap black-sets-src tmp

ipset destroy tmp

#exit 0



# --------------------------------------------

iptables -F
iptables -X

iptables -N DROP_LOG

#iptables -A INPUT -m set


iptables -N DROP_BLACK_SETS
iptables -A DROP_BLACK_SETS -m limit --limit 15/min -j LOG --log-prefix "Black: "
iptables -A DROP_BLACK_SETS -j DROP


iptables -A INPUT -p tcp -m set --match-set black-sets-src src -j DROP_BLACK_SETS


iptables -A INPUT -m conntrack --ctstate ESTABLISHED,RELATED -j ACCEPT
iptables -A INPUT -s 213.178.170.0/24 -j ACCEPT
iptables -A INPUT -s 62.50.118.0/24 -j ACCEPT
iptables -A INPUT -s 212.9.176.149 -j ACCEPT  # VVS LAN Proxy NAT

BURST=300
iptables -A INPUT -p tcp --dport 80 -m conntrack --ctstate NEW \
                   -m hashlimit --hashlimit-name black --hashlimit-mode srcip \
                   --hashlimit-above 5/s --hashlimit-burst $BURST \
                   -j SET --add-set black src --timeout 120 --exist

iptables -A INPUT -p tcp --dport 443 -m conntrack --ctstate NEW \
                   -m hashlimit --hashlimit-name black --hashlimit-mode srcip \
                   --hashlimit-above 5/s --hashlimit-burst $BURST \
                   -j SET --add-set black src --timeout 120 --exist

iptables -A INPUT -p tcp -m set --match-set black src -j DROP_LOG

iptables -A DROP_LOG -m limit --limit 5/min -j LOG --log-prefix "Limit Reject: "
iptables -A DROP_LOG -p tcp -j REJECT --reject-with tcp-reset
iptables -A DROP_LOG -j REJECT --reject-with icmp-host-prohibited

# TODO: Warum kein -j DROP? A: weil die Checkpoint sie sonst nicht terminiert.
