# Diese Datei soll nach /etc/network/iptables-autoapply/<KUNDENKUERZEL>-custom.sh kopiert und editiert werden.

# --------------------------------
#
# - Hier werden die Netze eingetragen, die per Web GUI, ssh etc. auf die Proxmox Hosts zugreifen duerfen.
# - Also, Administration der Proxmox Hosts.
#

ipset create customer-proxmox-access hash:net timeout 0 > /dev/null 2>&1

ipset destroy tmp > /dev/null 2>&1
ipset create tmp hash:net timeout 0 > /dev/null 2>&1
ipset flush tmp

# LF.net Office
ipset add tmp 212.9.190.0/24

# ...

ipset swap tmp customer-proxmox-access
ipset destroy tmp


# --------------------------------
# Liste der Webserver die von ANY per HTTP / HTTPS erreicht werden duerfen
ipset create set-webserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

# ipset add tmp 212.9.185.166 comment web01.bitzer.de

ipset swap tmp set-webserver
ipset destroy tmp



# --------------------------------

#
# - IP-Netze der Proxmox-Hosts, auf deren primaeren Interfaces
# - Wird verwendet um die zwischen den Proxmox-Hosts verwendete Kommunikation freizuschalten.
#

ipset create proxmox-networks hash:net timeout 0 > /dev/null 2>&1

ipset destroy tmp > /dev/null 2>&1
ipset create tmp hash:net timeout 0 > /dev/null 2>&1
ipset flush tmp

# LF.net p02n* Cluster
ipset add tmp 62.50.111.192/26

# LF.net p03n* Cluster
ipset add tmp 212.9.176.64/26

ipset swap tmp proxmox-networks
ipset destroy tmp


# ------------------------------
# IP-Adressen und Netze von Kunden und Dienstleistern
# ipset add tmp 62.50.124.50 comment "OpenVPN dienstleister@sowieso.de"

ipset create white-src hash:net timeout 0 comment > /dev/null 2>&1

ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1
ipset flush tmp

ipset add tmp 62.50.111.0/24 comment "monitor.lf.net"
#ipset add tmp xx.xx.xx.0/24 comment "Netze fuer <customer> Proxmox"

# LF.net Support Netze, aus ehemaliger MGMTIN chain
ipset add tmp 212.9.190.0/24 comment "LF.net R27 Office"
ipset add tmp 212.9.160.128/25
ipset add tmp 212.9.160.64/27
ipset add tmp 62.50.111.16/28
ipset add tmp 212.9.160.15/32
ipset add tmp 213.178.172.0/26

ipset swap tmp white-src
ipset destroy tmp



# ---------------------------
# Liste der Webserver, die nur ueber Reverse-Proxy erreichbar sind
ipset create revproxy-webserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

# ipset add tmp 212.9.185.166 comment web01.bitzer.de
# ipset add tmp 212.9.185.170 comment www.bitzer.de
# ipset add tmp 212.9.185.171 comment www.the-schaufler-foundation.de
# ipset add tmp 212.9.185.173 comment www.schauwerk-sindelfingen.de
# ipset add tmp 212.9.185.174 comment www.awa-armaturenwerk.de
# ipset add tmp 212.9.185.190 comment www.bitzeravp.com

ipset swap tmp revproxy-webserver
ipset destroy tmp


# ----------------------------
# Liste der Mailserver die von ANY per SMPT / POP / IMAP erreicht werden duerfen
ipset create set-mailserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

# ipset add tmp 212.9.185.175 comment newsletter.bitzer.de

ipset swap tmp set-mailserver
ipset destroy tmp


# ----------------------------
# Liste der DMZ-Netze die Zugang ins Internet bekommen
ipset create set-dmz hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset add tmp 212.9.185.160/27 comment "DMZ hinter Firewall"

ipset swap tmp set-dmz
ipset destroy tmp

